// Geometric Tools, LLC
// Copyright (c) 1998-2011
// Distributed under the Boost Software License, Version 1.0.
// http://www.boost.org/LICENSE_1_0.txt
// http://www.geometrictools.com/License/Boost/LICENSE_1_0.txt
//
// File Version: 5.2.2 (2011/06/29)

#include <fstream>
#pragma warning(disable : 4996)

#include "TemplateVC100.h"

//----------------------------------------------------------------------------
TemplateVC100::TemplateVC100 (const char* projectName)
{
    char projectFile[128];
    char currentLine[512];

    // Create the project file.
    sprintf(projectFile, "%s_VC100.vcxproj", projectName);
    std::ofstream outFile(projectFile);
    if (!outFile)
    {
        return;
    }

    for (int line = 0; line < NUM_PROJECT_LINES; ++line)
    {
        strcpy(currentLine, msProjectLines[line]);

        char* sub;
        int index, i;

        sub = strstr(currentLine, "PROJECTNAME");
        if (sub)
        {
            index = (int)(sub - currentLine);
            for (i = 0; i < index; ++i)
            {
                outFile << currentLine[i];
            }

            outFile << projectName;
            sub += strlen("PROJECTNAME");
            outFile << sub << std::endl;
            continue;
        }

        outFile << currentLine << std::endl;
    }

    outFile.close();

    // Create the filter file.
    sprintf(projectFile, "%s_VC100.vcxproj.filters", projectName);
    outFile.open(projectFile);
    if (!outFile)
    {
        return;
    }

    for (int line = 0; line < NUM_FILTER_LINES; ++line)
    {
        strcpy(currentLine, msFilterLines[line]);

        char* sub;
        int index, i;

        sub = strstr(currentLine, "PROJECTNAME");
        if (sub)
        {
            index = (int)(sub - currentLine);
            for (i = 0; i < index; ++i)
            {
                outFile << currentLine[i];
            }

            outFile << projectName;
            sub += strlen("PROJECTNAME");
            outFile << sub << std::endl;
            continue;
        }

        outFile << currentLine << std::endl;
    }

    outFile.close();
}
//----------------------------------------------------------------------------
TemplateVC100::~TemplateVC100 ()
{
}
//----------------------------------------------------------------------------
char* TemplateVC100::msProjectLines[NUM_PROJECT_LINES] =
{
"﻿<?xml version=\"1.0\" encoding=\"utf-8\"?>",
"<Project DefaultTargets=\"Build\" ToolsVersion=\"4.0\" xmlns=\"http://schemas.microsoft.com/developer/msbuild/2003\">",
"  <ItemGroup Label=\"ProjectConfigurations\">",
"    <ProjectConfiguration Include=\"Dx9 Debug|Win32\">",
"      <Configuration>Dx9 Debug</Configuration>",
"      <Platform>Win32</Platform>",
"    </ProjectConfiguration>",
"    <ProjectConfiguration Include=\"Dx9 Release|Win32\">",
"      <Configuration>Dx9 Release</Configuration>",
"      <Platform>Win32</Platform>",
"    </ProjectConfiguration>",
"    <ProjectConfiguration Include=\"Wgl Debug|Win32\">",
"      <Configuration>Wgl Debug</Configuration>",
"      <Platform>Win32</Platform>",
"    </ProjectConfiguration>",
"    <ProjectConfiguration Include=\"Wgl Release|Win32\">",
"      <Configuration>Wgl Release</Configuration>",
"      <Platform>Win32</Platform>",
"    </ProjectConfiguration>",
"  </ItemGroup>",
"  <PropertyGroup Label=\"Globals\">",
"    <ProjectName>PROJECTNAME</ProjectName>",
"    <ProjectGuid>{A1D90660-80DB-49EC-9220-9A74DFB87554}</ProjectGuid>",
"    <RootNamespace>PROJECTNAME</RootNamespace>",
"    <Keyword>Win32Proj</Keyword>",
"  </PropertyGroup>",
"  <Import Project=\"$(VCTargetsPath)\\Microsoft.Cpp.Default.props\" />",
"  <PropertyGroup Condition=\"'$(Configuration)|$(Platform)'=='Wgl Release|Win32'\" Label=\"Configuration\">",
"    <ConfigurationType>Application</ConfigurationType>",
"    <CharacterSet>NotSet</CharacterSet>",
"    <WholeProgramOptimization>true</WholeProgramOptimization>",
"  </PropertyGroup>",
"  <PropertyGroup Condition=\"'$(Configuration)|$(Platform)'=='Wgl Debug|Win32'\" Label=\"Configuration\">",
"    <ConfigurationType>Application</ConfigurationType>",
"    <CharacterSet>NotSet</CharacterSet>",
"  </PropertyGroup>",
"  <PropertyGroup Condition=\"'$(Configuration)|$(Platform)'=='Dx9 Release|Win32'\" Label=\"Configuration\">",
"    <ConfigurationType>Application</ConfigurationType>",
"    <CharacterSet>NotSet</CharacterSet>",
"    <WholeProgramOptimization>true</WholeProgramOptimization>",
"  </PropertyGroup>",
"  <PropertyGroup Condition=\"'$(Configuration)|$(Platform)'=='Dx9 Debug|Win32'\" Label=\"Configuration\">",
"    <ConfigurationType>Application</ConfigurationType>",
"    <CharacterSet>NotSet</CharacterSet>",
"  </PropertyGroup>",
"  <Import Project=\"$(VCTargetsPath)\\Microsoft.Cpp.props\" />",
"  <ImportGroup Label=\"ExtensionSettings\">",
"  </ImportGroup>",
"  <ImportGroup Condition=\"'$(Configuration)|$(Platform)'=='Wgl Release|Win32'\" Label=\"PropertySheets\">",
"    <Import Project=\"$(UserRootDir)\\Microsoft.Cpp.$(Platform).user.props\" Condition=\"exists('$(UserRootDir)\\Microsoft.Cpp.$(Platform).user.props')\" Label=\"LocalAppDataPlatform\" />",
"  </ImportGroup>",
"  <ImportGroup Condition=\"'$(Configuration)|$(Platform)'=='Wgl Debug|Win32'\" Label=\"PropertySheets\">",
"    <Import Project=\"$(UserRootDir)\\Microsoft.Cpp.$(Platform).user.props\" Condition=\"exists('$(UserRootDir)\\Microsoft.Cpp.$(Platform).user.props')\" Label=\"LocalAppDataPlatform\" />",
"  </ImportGroup>",
"  <ImportGroup Condition=\"'$(Configuration)|$(Platform)'=='Dx9 Release|Win32'\" Label=\"PropertySheets\">",
"    <Import Project=\"$(UserRootDir)\\Microsoft.Cpp.$(Platform).user.props\" Condition=\"exists('$(UserRootDir)\\Microsoft.Cpp.$(Platform).user.props')\" Label=\"LocalAppDataPlatform\" />",
"  </ImportGroup>",
"  <ImportGroup Condition=\"'$(Configuration)|$(Platform)'=='Dx9 Debug|Win32'\" Label=\"PropertySheets\">",
"    <Import Project=\"$(UserRootDir)\\Microsoft.Cpp.$(Platform).user.props\" Condition=\"exists('$(UserRootDir)\\Microsoft.Cpp.$(Platform).user.props')\" Label=\"LocalAppDataPlatform\" />",
"  </ImportGroup>",
"  <PropertyGroup Label=\"UserMacros\" />",
"  <PropertyGroup>",
"    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>",
"    <OutDir Condition=\"'$(Configuration)|$(Platform)'=='Dx9 Debug|Win32'\">_Output\\VC100\\Dx9Debug\\</OutDir>",
"    <IntDir Condition=\"'$(Configuration)|$(Platform)'=='Dx9 Debug|Win32'\">_Output\\VC100\\Dx9Debug\\</IntDir>",
"    <LinkIncremental Condition=\"'$(Configuration)|$(Platform)'=='Dx9 Debug|Win32'\">true</LinkIncremental>",
"    <OutDir Condition=\"'$(Configuration)|$(Platform)'=='Dx9 Release|Win32'\">_Output\\VC100\\Dx9Release\\</OutDir>",
"    <IntDir Condition=\"'$(Configuration)|$(Platform)'=='Dx9 Release|Win32'\">_Output\\VC100\\Dx9Release\\</IntDir>",
"    <LinkIncremental Condition=\"'$(Configuration)|$(Platform)'=='Dx9 Release|Win32'\">false</LinkIncremental>",
"    <OutDir Condition=\"'$(Configuration)|$(Platform)'=='Wgl Debug|Win32'\">_Output\\VC100\\WglDebug\\</OutDir>",
"    <IntDir Condition=\"'$(Configuration)|$(Platform)'=='Wgl Debug|Win32'\">_Output\\VC100\\WglDebug\\</IntDir>",
"    <LinkIncremental Condition=\"'$(Configuration)|$(Platform)'=='Wgl Debug|Win32'\">true</LinkIncremental>",
"    <OutDir Condition=\"'$(Configuration)|$(Platform)'=='Wgl Release|Win32'\">_Output\\VC100\\WglRelease\\</OutDir>",
"    <IntDir Condition=\"'$(Configuration)|$(Platform)'=='Wgl Release|Win32'\">_Output\\VC100\\WglRelease\\</IntDir>",
"    <LinkIncremental Condition=\"'$(Configuration)|$(Platform)'=='Wgl Release|Win32'\">false</LinkIncremental>",
"  </PropertyGroup>",
"  <ItemDefinitionGroup Condition=\"'$(Configuration)|$(Platform)'=='Dx9 Debug|Win32'\">",
"    <ClCompile>",
"      <Optimization>Disabled</Optimization>",
"      <AdditionalIncludeDirectories>..\\..\\SDK\\Include;$(DXSDK_DIR)\\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>",
"      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;WM5_USE_DX9;%(PreprocessorDefinitions)</PreprocessorDefinitions>",
"      <MinimalRebuild>true</MinimalRebuild>",
"      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>",
"      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>",
"      <PrecompiledHeader>",
"      </PrecompiledHeader>",
"      <WarningLevel>Level3</WarningLevel>",
"      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>",
"    </ClCompile>",
"    <Link>",
"      <AdditionalDependencies>Wm5Core100d.lib;Wm5Mathematics100d.lib;Wm5Imagics100d.lib;Wm5Physics100d.lib;Wm5Dx9Graphics100d.lib;Wm5Dx9Applications100d.lib;d3d9.lib;d3dx9.lib;dxerr.lib;%(AdditionalDependencies)</AdditionalDependencies>",
"      <AdditionalLibraryDirectories>..\\..\\SDK\\Library\\Debug;$(DXSDK_DIR)\\lib\\x86;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>",
"      <GenerateDebugInformation>true</GenerateDebugInformation>",
"      <SubSystem>Windows</SubSystem>",
"      <EntryPointSymbol>mainCRTStartup</EntryPointSymbol>",
"      <TargetMachine>MachineX86</TargetMachine>",
"    </Link>",
"  </ItemDefinitionGroup>",
"  <ItemDefinitionGroup Condition=\"'$(Configuration)|$(Platform)'=='Dx9 Release|Win32'\">",
"    <ClCompile>",
"      <Optimization>MaxSpeed</Optimization>",
"      <IntrinsicFunctions>true</IntrinsicFunctions>",
"      <AdditionalIncludeDirectories>..\\..\\SDK\\Include;$(DXSDK_DIR)\\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>",
"      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;WM5_USE_DX9;%(PreprocessorDefinitions)</PreprocessorDefinitions>",
"      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>",
"      <FunctionLevelLinking>true</FunctionLevelLinking>",
"      <PrecompiledHeader>",
"      </PrecompiledHeader>",
"      <WarningLevel>Level3</WarningLevel>",
"      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>",
"    </ClCompile>",
"    <Link>",
"      <AdditionalDependencies>Wm5Core100.lib;Wm5Mathematics100.lib;Wm5Imagics100.lib;Wm5Physics100.lib;Wm5Dx9Graphics100.lib;Wm5Dx9Applications100.lib;d3d9.lib;d3dx9.lib;dxerr.lib;%(AdditionalDependencies)</AdditionalDependencies>",
"      <AdditionalLibraryDirectories>..\\..\\SDK\\Library\\Release;$(DXSDK_DIR)\\lib\\x86;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>",
"      <GenerateDebugInformation>true</GenerateDebugInformation>",
"      <SubSystem>Windows</SubSystem>",
"      <OptimizeReferences>true</OptimizeReferences>",
"      <EnableCOMDATFolding>true</EnableCOMDATFolding>",
"      <EntryPointSymbol>mainCRTStartup</EntryPointSymbol>",
"      <TargetMachine>MachineX86</TargetMachine>",
"    </Link>",
"  </ItemDefinitionGroup>",
"  <ItemDefinitionGroup Condition=\"'$(Configuration)|$(Platform)'=='Wgl Debug|Win32'\">",
"    <ClCompile>",
"      <Optimization>Disabled</Optimization>",
"      <AdditionalIncludeDirectories>..\\..\\SDK\\Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>",
"      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;WM5_USE_OPENGL;%(PreprocessorDefinitions)</PreprocessorDefinitions>",
"      <MinimalRebuild>true</MinimalRebuild>",
"      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>",
"      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>",
"      <PrecompiledHeader>",
"      </PrecompiledHeader>",
"      <WarningLevel>Level3</WarningLevel>",
"      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>",
"    </ClCompile>",
"    <Link>",
"      <AdditionalDependencies>Wm5Core100d.lib;Wm5Mathematics100d.lib;Wm5Imagics100d.lib;Wm5Physics100d.lib;Wm5WglGraphics100d.lib;Wm5WglApplications100d.lib;opengl32.lib;glu32.lib;%(AdditionalDependencies)</AdditionalDependencies>",
"      <AdditionalLibraryDirectories>..\\..\\SDK\\Library\\Debug;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>",
"      <GenerateDebugInformation>true</GenerateDebugInformation>",
"      <SubSystem>Windows</SubSystem>",
"      <EntryPointSymbol>mainCRTStartup</EntryPointSymbol>",
"      <TargetMachine>MachineX86</TargetMachine>",
"    </Link>",
"  </ItemDefinitionGroup>",
"  <ItemDefinitionGroup Condition=\"'$(Configuration)|$(Platform)'=='Wgl Release|Win32'\">",
"    <ClCompile>",
"      <Optimization>MaxSpeed</Optimization>",
"      <IntrinsicFunctions>true</IntrinsicFunctions>",
"      <AdditionalIncludeDirectories>..\\..\\SDK\\Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>",
"      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;WM5_USE_OPENGL;%(PreprocessorDefinitions)</PreprocessorDefinitions>",
"      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>",
"      <FunctionLevelLinking>true</FunctionLevelLinking>",
"      <PrecompiledHeader>",
"      </PrecompiledHeader>",
"      <WarningLevel>Level3</WarningLevel>",
"      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>",
"    </ClCompile>",
"    <Link>",
"      <AdditionalDependencies>Wm5Core100.lib;Wm5Mathematics100.lib;Wm5Imagics100.lib;Wm5Physics100.lib;Wm5WglGraphics100.lib;Wm5WglApplications100.lib;opengl32.lib;glu32.lib;%(AdditionalDependencies)</AdditionalDependencies>",
"      <AdditionalLibraryDirectories>..\\..\\SDK\\Library\\Release;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>",
"      <GenerateDebugInformation>true</GenerateDebugInformation>",
"      <SubSystem>Windows</SubSystem>",
"      <OptimizeReferences>true</OptimizeReferences>",
"      <EnableCOMDATFolding>true</EnableCOMDATFolding>",
"      <EntryPointSymbol>mainCRTStartup</EntryPointSymbol>",
"      <TargetMachine>MachineX86</TargetMachine>",
"    </Link>",
"  </ItemDefinitionGroup>",
"  <ItemGroup>",
"    <ClCompile Include=\"PROJECTNAME.cpp\" />",
"  </ItemGroup>",
"  <ItemGroup>",
"    <ClInclude Include=\"PROJECTNAME.h\" />",
"  </ItemGroup>",
"  <Import Project=\"$(VCTargetsPath)\\Microsoft.Cpp.targets\" />",
"  <ImportGroup Label=\"ExtensionTargets\">",
"  </ImportGroup>",
"</Project>"
};
//----------------------------------------------------------------------------
char* TemplateVC100::msFilterLines[NUM_FILTER_LINES] =
{
"﻿<?xml version=\"1.0\" encoding=\"utf-8\"?>",
"<Project ToolsVersion=\"4.0\" xmlns=\"http://schemas.microsoft.com/developer/msbuild/2003\">",
"  <ItemGroup>",
"    <Filter Include=\"Source Files\">",
"      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>",
"      <Extensions>cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx</Extensions>",
"    </Filter>",
"    <Filter Include=\"Header Files\">",
"      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>",
"      <Extensions>h;hpp;hxx;hm;inl;inc;xsd</Extensions>",
"    </Filter>",
"  </ItemGroup>",
"  <ItemGroup>",
"    <ClCompile Include=\"PROJECTNAME.cpp\">",
"      <Filter>Source Files</Filter>",
"    </ClCompile>",
"  </ItemGroup>",
"  <ItemGroup>",
"    <ClInclude Include=\"PROJECTNAME.h\">",
"      <Filter>Header Files</Filter>",
"    </ClInclude>",
"  </ItemGroup>",
"</Project>"
};
//----------------------------------------------------------------------------
