// Geometric Tools, LLC
// Copyright (c) 1998-2011
// Distributed under the Boost Software License, Version 1.0.
// http://www.boost.org/LICENSE_1_0.txt
// http://www.geometrictools.com/License/Boost/LICENSE_1_0.txt
//
// File Version: 5.0.1 (2010/10/02)

#include <fstream>
#pragma warning(disable : 4996)

#include "TemplateVC90.h"

//----------------------------------------------------------------------------
TemplateVC90::TemplateVC90 (const char* projectName)
{
    char projectFile[128];
    char currentLine[512];

    sprintf(projectFile, "%s_VC90.vcproj", projectName);
    std::ofstream outFile(projectFile);
    if (!outFile)
    {
        return;
    }

    for (int line = 0; line < NUM_LINES; ++line)
    {
        strcpy(currentLine, msLines[line]);

        char* sub;
        int index, i;

        sub = strstr(currentLine, "PROJECTNAME");
        if (sub)
        {
            index = (int)(sub - currentLine);
            for (i = 0; i < index; ++i)
            {
                outFile << currentLine[i];
            }

            outFile << projectName;
            sub += strlen("PROJECTNAME");
            outFile << sub << std::endl;
            continue;
        }

        outFile << currentLine << std::endl;
    }

    outFile.close();
}
//----------------------------------------------------------------------------
TemplateVC90::~TemplateVC90 ()
{
}
//----------------------------------------------------------------------------
char* TemplateVC90::msLines[NUM_LINES] =
{
"<?xml version=\"1.0\" encoding=\"Windows-1252\"?>",
"<VisualStudioProject",
"	ProjectType=\"Visual C++\"",
"	Version=\"9.00\"",
"	Name=\"PROJECTNAME\"",
"	ProjectGUID=\"{}\"",
"	RootNamespace=\"PROJECTNAME\"",
"	Keyword=\"Win32Proj\"",
"	TargetFrameworkVersion=\"196613\"",
"	>",
"	<Platforms>",
"		<Platform",
"			Name=\"Win32\"",
"		/>",
"	</Platforms>",
"	<ToolFiles>",
"	</ToolFiles>",
"	<Configurations>",
"		<Configuration",
"			Name=\"Dx9 Debug|Win32\"",
"			OutputDirectory=\"_Output\\VC90\\Dx9Debug\"",
"			IntermediateDirectory=\"_Output\\VC90\\Dx9Debug\"",
"			ConfigurationType=\"1\"",
"			CharacterSet=\"0\"",
"			>",
"			<Tool",
"				Name=\"VCPreBuildEventTool\"",
"			/>",
"			<Tool",
"				Name=\"VCCustomBuildTool\"",
"			/>",
"			<Tool",
"				Name=\"VCXMLDataGeneratorTool\"",
"			/>",
"			<Tool",
"				Name=\"VCWebServiceProxyGeneratorTool\"",
"			/>",
"			<Tool",
"				Name=\"VCMIDLTool\"",
"			/>",
"			<Tool",
"				Name=\"VCCLCompilerTool\"",
"				Optimization=\"0\"",
"				AdditionalIncludeDirectories=\"..\\..\\SDK\\Include\"",
"				PreprocessorDefinitions=\"WIN32;_DEBUG;_CONSOLE;WM5_USE_DX9\"",
"				MinimalRebuild=\"true\"",
"				BasicRuntimeChecks=\"3\"",
"				RuntimeLibrary=\"3\"",
"				UsePrecompiledHeader=\"0\"",
"				WarningLevel=\"3\"",
"				DebugInformationFormat=\"4\"",
"			/>",
"			<Tool",
"				Name=\"VCManagedResourceCompilerTool\"",
"			/>",
"			<Tool",
"				Name=\"VCResourceCompilerTool\"",
"			/>",
"			<Tool",
"				Name=\"VCPreLinkEventTool\"",
"			/>",
"			<Tool",
"				Name=\"VCLinkerTool\"",
"				AdditionalDependencies=\"Wm5Core90d.lib Wm5Mathematics90d.lib Wm5Imagics90d.lib Wm5Physics90d.lib Wm5Dx9Graphics90d.lib Wm5Dx9Applications90d.lib d3d9.lib d3dx9.lib dxerr.lib\"",
"				LinkIncremental=\"2\"",
"				AdditionalLibraryDirectories=\"..\\..\\SDK\\Library\\Debug\"",
"				GenerateDebugInformation=\"true\"",
"				SubSystem=\"2\"",
"				EntryPointSymbol=\"mainCRTStartup\"",
"				TargetMachine=\"1\"",
"			/>",
"			<Tool",
"				Name=\"VCALinkTool\"",
"			/>",
"			<Tool",
"				Name=\"VCManifestTool\"",
"			/>",
"			<Tool",
"				Name=\"VCXDCMakeTool\"",
"			/>",
"			<Tool",
"				Name=\"VCBscMakeTool\"",
"			/>",
"			<Tool",
"				Name=\"VCFxCopTool\"",
"			/>",
"			<Tool",
"				Name=\"VCAppVerifierTool\"",
"			/>",
"			<Tool",
"				Name=\"VCPostBuildEventTool\"",
"			/>",
"		</Configuration>",
"		<Configuration",
"			Name=\"Dx9 Release|Win32\"",
"			OutputDirectory=\"_Output\\VC90\\Dx9Release\"",
"			IntermediateDirectory=\"_Output\\VC90\\Dx9Release\"",
"			ConfigurationType=\"1\"",
"			CharacterSet=\"0\"",
"			WholeProgramOptimization=\"1\"",
"			>",
"			<Tool",
"				Name=\"VCPreBuildEventTool\"",
"			/>",
"			<Tool",
"				Name=\"VCCustomBuildTool\"",
"			/>",
"			<Tool",
"				Name=\"VCXMLDataGeneratorTool\"",
"			/>",
"			<Tool",
"				Name=\"VCWebServiceProxyGeneratorTool\"",
"			/>",
"			<Tool",
"				Name=\"VCMIDLTool\"",
"			/>",
"			<Tool",
"				Name=\"VCCLCompilerTool\"",
"				Optimization=\"2\"",
"				EnableIntrinsicFunctions=\"true\"",
"				AdditionalIncludeDirectories=\"..\\..\\SDK\\Include\"",
"				PreprocessorDefinitions=\"WIN32;NDEBUG;_CONSOLE;WM5_USE_DX9\"",
"				RuntimeLibrary=\"2\"",
"				EnableFunctionLevelLinking=\"true\"",
"				UsePrecompiledHeader=\"0\"",
"				WarningLevel=\"3\"",
"				DebugInformationFormat=\"3\"",
"			/>",
"			<Tool",
"				Name=\"VCManagedResourceCompilerTool\"",
"			/>",
"			<Tool",
"				Name=\"VCResourceCompilerTool\"",
"			/>",
"			<Tool",
"				Name=\"VCPreLinkEventTool\"",
"			/>",
"			<Tool",
"				Name=\"VCLinkerTool\"",
"				AdditionalDependencies=\"Wm5Core90.lib Wm5Mathematics90.lib Wm5Imagics90.lib Wm5Physics90.lib Wm5Dx9Graphics90.lib Wm5Dx9Applications90.lib d3d9.lib d3dx9.lib dxerr.lib\"",
"				LinkIncremental=\"1\"",
"				AdditionalLibraryDirectories=\"..\\..\\SDK\\Library\\Release\"",
"				GenerateDebugInformation=\"true\"",
"				SubSystem=\"2\"",
"				OptimizeReferences=\"2\"",
"				EnableCOMDATFolding=\"2\"",
"				EntryPointSymbol=\"mainCRTStartup\"",
"				TargetMachine=\"1\"",
"			/>",
"			<Tool",
"				Name=\"VCALinkTool\"",
"			/>",
"			<Tool",
"				Name=\"VCManifestTool\"",
"			/>",
"			<Tool",
"				Name=\"VCXDCMakeTool\"",
"			/>",
"			<Tool",
"				Name=\"VCBscMakeTool\"",
"			/>",
"			<Tool",
"				Name=\"VCFxCopTool\"",
"			/>",
"			<Tool",
"				Name=\"VCAppVerifierTool\"",
"			/>",
"			<Tool",
"				Name=\"VCPostBuildEventTool\"",
"			/>",
"		</Configuration>",
"		<Configuration",
"			Name=\"Wgl Debug|Win32\"",
"			OutputDirectory=\"_Output\\VC90\\WglDebug\"",
"			IntermediateDirectory=\"_Output\\VC90\\WglDebug\"",
"			ConfigurationType=\"1\"",
"			CharacterSet=\"0\"",
"			>",
"			<Tool",
"				Name=\"VCPreBuildEventTool\"",
"			/>",
"			<Tool",
"				Name=\"VCCustomBuildTool\"",
"			/>",
"			<Tool",
"				Name=\"VCXMLDataGeneratorTool\"",
"			/>",
"			<Tool",
"				Name=\"VCWebServiceProxyGeneratorTool\"",
"			/>",
"			<Tool",
"				Name=\"VCMIDLTool\"",
"			/>",
"			<Tool",
"				Name=\"VCCLCompilerTool\"",
"				Optimization=\"0\"",
"				AdditionalIncludeDirectories=\"..\\..\\SDK\\Include\"",
"				PreprocessorDefinitions=\"WIN32;_DEBUG;_CONSOLE;WM5_USE_OPENGL\"",
"				MinimalRebuild=\"true\"",
"				BasicRuntimeChecks=\"3\"",
"				RuntimeLibrary=\"3\"",
"				UsePrecompiledHeader=\"0\"",
"				WarningLevel=\"3\"",
"				DebugInformationFormat=\"4\"",
"			/>",
"			<Tool",
"				Name=\"VCManagedResourceCompilerTool\"",
"			/>",
"			<Tool",
"				Name=\"VCResourceCompilerTool\"",
"			/>",
"			<Tool",
"				Name=\"VCPreLinkEventTool\"",
"			/>",
"			<Tool",
"				Name=\"VCLinkerTool\"",
"				AdditionalDependencies=\"Wm5Core90d.lib Wm5Mathematics90d.lib Wm5Imagics90d.lib Wm5Physics90d.lib Wm5WglGraphics90d.lib Wm5WglApplications90d.lib opengl32.lib glu32.lib\"",
"				LinkIncremental=\"2\"",
"				AdditionalLibraryDirectories=\"..\\..\\SDK\\Library\\Debug\"",
"				GenerateDebugInformation=\"true\"",
"				SubSystem=\"2\"",
"				EntryPointSymbol=\"mainCRTStartup\"",
"				TargetMachine=\"1\"",
"			/>",
"			<Tool",
"				Name=\"VCALinkTool\"",
"			/>",
"			<Tool",
"				Name=\"VCManifestTool\"",
"			/>",
"			<Tool",
"				Name=\"VCXDCMakeTool\"",
"			/>",
"			<Tool",
"				Name=\"VCBscMakeTool\"",
"			/>",
"			<Tool",
"				Name=\"VCFxCopTool\"",
"			/>",
"			<Tool",
"				Name=\"VCAppVerifierTool\"",
"			/>",
"			<Tool",
"				Name=\"VCPostBuildEventTool\"",
"			/>",
"		</Configuration>",
"		<Configuration",
"			Name=\"Wgl Release|Win32\"",
"			OutputDirectory=\"_Output\\VC90\\WglRelease\"",
"			IntermediateDirectory=\"_Output\\VC90\\WglRelease\"",
"			ConfigurationType=\"1\"",
"			CharacterSet=\"0\"",
"			WholeProgramOptimization=\"1\"",
"			>",
"			<Tool",
"				Name=\"VCPreBuildEventTool\"",
"			/>",
"			<Tool",
"				Name=\"VCCustomBuildTool\"",
"			/>",
"			<Tool",
"				Name=\"VCXMLDataGeneratorTool\"",
"			/>",
"			<Tool",
"				Name=\"VCWebServiceProxyGeneratorTool\"",
"			/>",
"			<Tool",
"				Name=\"VCMIDLTool\"",
"			/>",
"			<Tool",
"				Name=\"VCCLCompilerTool\"",
"				Optimization=\"2\"",
"				EnableIntrinsicFunctions=\"true\"",
"				AdditionalIncludeDirectories=\"..\\..\\SDK\\Include\"",
"				PreprocessorDefinitions=\"WIN32;NDEBUG;_CONSOLE;WM5_USE_OPENGL\"",
"				RuntimeLibrary=\"2\"",
"				EnableFunctionLevelLinking=\"true\"",
"				UsePrecompiledHeader=\"0\"",
"				WarningLevel=\"3\"",
"				DebugInformationFormat=\"3\"",
"			/>",
"			<Tool",
"				Name=\"VCManagedResourceCompilerTool\"",
"			/>",
"			<Tool",
"				Name=\"VCResourceCompilerTool\"",
"			/>",
"			<Tool",
"				Name=\"VCPreLinkEventTool\"",
"			/>",
"			<Tool",
"				Name=\"VCLinkerTool\"",
"				AdditionalDependencies=\"Wm5Core90.lib Wm5Mathematics90.lib Wm5Imagics90.lib Wm5Physics90.lib Wm5WglGraphics90.lib Wm5WglApplications90.lib opengl32.lib glu32.lib\"",
"				LinkIncremental=\"1\"",
"				AdditionalLibraryDirectories=\"..\\..\\SDK\\Library\\Release\"",
"				GenerateDebugInformation=\"true\"",
"				SubSystem=\"2\"",
"				OptimizeReferences=\"2\"",
"				EnableCOMDATFolding=\"2\"",
"				EntryPointSymbol=\"mainCRTStartup\"",
"				TargetMachine=\"1\"",
"			/>",
"			<Tool",
"				Name=\"VCALinkTool\"",
"			/>",
"			<Tool",
"				Name=\"VCManifestTool\"",
"			/>",
"			<Tool",
"				Name=\"VCXDCMakeTool\"",
"			/>",
"			<Tool",
"				Name=\"VCBscMakeTool\"",
"			/>",
"			<Tool",
"				Name=\"VCFxCopTool\"",
"			/>",
"			<Tool",
"				Name=\"VCAppVerifierTool\"",
"			/>",
"			<Tool",
"				Name=\"VCPostBuildEventTool\"",
"			/>",
"		</Configuration>",
"	</Configurations>",
"	<References>",
"	</References>",
"	<Files>",
"		<Filter",
"			Name=\"Source Files\"",
"			Filter=\"cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx\"",
"			UniqueIdentifier=\"{4FC737F1-C7A5-4376-A066-2A32D752A2FF}\"",
"			>",
"			<File",
"				RelativePath=\".\\PROJECTNAME.cpp\"",
"				>",
"			</File>",
"		</Filter>",
"		<Filter",
"			Name=\"Header Files\"",
"			Filter=\"h;hpp;hxx;hm;inl;inc;xsd\"",
"			UniqueIdentifier=\"{93995380-89BD-4b04-88EB-625FBE52EBFB}\"",
"			>",
"			<File",
"				RelativePath=\".\\PROJECTNAME.h\"",
"				>",
"			</File>",
"		</Filter>",
"	</Files>",
"	<Globals>",
"	</Globals>",
"</VisualStudioProject>"
};
//----------------------------------------------------------------------------
