// Geometric Tools, LLC
// Copyright (c) 1998-2011
// Distributed under the Boost Software License, Version 1.0.
// http://www.boost.org/LICENSE_1_0.txt
// http://www.geometrictools.com/License/Boost/LICENSE_1_0.txt
//
// File Version: 5.0.0 (2010/01/01)

#include <fstream>
#pragma warning(disable : 4996)

#include "TemplateXC30.h"

//----------------------------------------------------------------------------
TemplateXC30::TemplateXC30 (const char* projectName)
{
    char projectFile[128];
    char currentLine[512];

    sprintf(projectFile, "mkdir %s.xcodeproj", projectName);
    system(projectFile);

    sprintf(projectFile, "%s.xcodeproj/project.pbxproj", projectName);
    std::ofstream outFile(projectFile);
    if (!outFile)
    {
        return;
    }

    for (int line = 0; line < NUM_LINES; ++line)
    {
        strcpy(currentLine, msLines[line]);

        char* sub;
        int index, i;

        sub = strstr(currentLine, "PROJECTNAME");
        if (sub)
        {
            index = (int)(sub - currentLine);
            for (i = 0; i < index; i++)
            {
                outFile << currentLine[i];
            }
            outFile << projectName;

            sub += strlen("PROJECTNAME");
            char* sub2 = strstr(sub, "PROJECTNAME");
            if (sub2)
            {
                index = (int)(sub2 - sub);
                for (i = 0; i < index; ++i)
                {
                    outFile << sub[i];
                }
                outFile << projectName;

                sub2 += strlen("PROJECTNAME");
                sub = sub2;
            }
            outFile << sub << std::endl;
            continue;
        }

        outFile << currentLine << std::endl;
    }

    outFile.close();
}
//----------------------------------------------------------------------------
TemplateXC30::~TemplateXC30 ()
{
}
//----------------------------------------------------------------------------
char* TemplateXC30::msLines[NUM_LINES] =
{
"// !$*UTF8*$!",
"{",
"	archiveVersion = 1;",
"	classes = {",
"	};",
"	objectVersion = 44;",
"	objects = {",
"",
"/* Begin PBXBuildFile section */",
"		3C6FBB33083E5FB60068AA05 /* AGL.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3C6FBB32083E5FB60068AA05 /* AGL.framework */; };",
"		3C6FBB34083E5FB60068AA05 /* AGL.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3C6FBB32083E5FB60068AA05 /* AGL.framework */; };",
"		3C6FBB46083E5FCE0068AA05 /* Carbon.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3C6FBB45083E5FCE0068AA05 /* Carbon.framework */; };",
"		3C6FBB47083E5FCE0068AA05 /* Carbon.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3C6FBB45083E5FCE0068AA05 /* Carbon.framework */; };",
"		3C6FBB4D083E5FE20068AA05 /* DrawSprocket.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3C6FBB4C083E5FE20068AA05 /* DrawSprocket.framework */; };",
"		3C6FBB4E083E5FE20068AA05 /* DrawSprocket.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3C6FBB4C083E5FE20068AA05 /* DrawSprocket.framework */; };",
"		3C6FBC6C083E6E1B0068AA05 /* OpenGL.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3C6FBC6B083E6E1B0068AA05 /* OpenGL.framework */; };",
"		3C6FBC6D083E6E1B0068AA05 /* OpenGL.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3C6FBC6B083E6E1B0068AA05 /* OpenGL.framework */; };",
"		3CC4FE4910FD1F4900C42DBB /* libWm5Cored.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 3CC4FE4310FD1F4900C42DBB /* libWm5Cored.a */; };",
"		3CC4FE4A10FD1F4900C42DBB /* libWm5Physicsd.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 3CC4FE4410FD1F4900C42DBB /* libWm5Physicsd.a */; };",
"		3CC4FE4B10FD1F4900C42DBB /* libWm5AglGraphicsd.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 3CC4FE4510FD1F4900C42DBB /* libWm5AglGraphicsd.a */; };",
"		3CC4FE4C10FD1F4900C42DBB /* libWm5Mathematicsd.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 3CC4FE4610FD1F4900C42DBB /* libWm5Mathematicsd.a */; };",
"		3CC4FE4D10FD1F4900C42DBB /* libWm5Imagicsd.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 3CC4FE4710FD1F4900C42DBB /* libWm5Imagicsd.a */; };",
"		3CC4FE4E10FD1F4900C42DBB /* libWm5AglApplicationd.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 3CC4FE4810FD1F4900C42DBB /* libWm5AglApplicationd.a */; };",
"		3CC4FE6110FD1F6600C42DBB /* libWm5AglApplication.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 3CC4FE5510FD1F6600C42DBB /* libWm5AglApplication.a */; };",
"		3CC4FE6210FD1F6600C42DBB /* libWm5AglGraphics.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 3CC4FE5610FD1F6600C42DBB /* libWm5AglGraphics.a */; };",
"		3CC4FE6310FD1F6600C42DBB /* libWm5Core.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 3CC4FE5710FD1F6600C42DBB /* libWm5Core.a */; };",
"		3CC4FE6410FD1F6600C42DBB /* libWm5Imagics.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 3CC4FE5810FD1F6600C42DBB /* libWm5Imagics.a */; };",
"		3CC4FE6510FD1F6600C42DBB /* libWm5Mathematics.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 3CC4FE5910FD1F6600C42DBB /* libWm5Mathematics.a */; };",
"		3CC4FE6610FD1F6600C42DBB /* libWm5Physics.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 3CC4FE5A10FD1F6600C42DBB /* libWm5Physics.a */; };",
"		748AA51107F465B300486586 /* PROJECTNAME.cpp in Sources */ = {isa = PBXBuildFile; fileRef = 748AA50F07F465B300486586 /* PROJECTNAME.cpp */; };",
"		748AA51307F465B300486586 /* PROJECTNAME.cpp in Sources */ = {isa = PBXBuildFile; fileRef = 748AA50F07F465B300486586 /* PROJECTNAME.cpp */; };",
"/* End PBXBuildFile section */",
"",
"/* Begin PBXFileReference section */",
"		3C6FBB32083E5FB60068AA05 /* AGL.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = AGL.framework; path = /System/Library/Frameworks/AGL.framework; sourceTree = \"<absolute>\"; };",
"		3C6FBB45083E5FCE0068AA05 /* Carbon.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Carbon.framework; path = /System/Library/Frameworks/Carbon.framework; sourceTree = \"<absolute>\"; };",
"		3C6FBB4C083E5FE20068AA05 /* DrawSprocket.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = DrawSprocket.framework; path = /System/Library/Frameworks/DrawSprocket.framework; sourceTree = \"<absolute>\"; };",
"		3C6FBC6B083E6E1B0068AA05 /* OpenGL.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = OpenGL.framework; path = /System/Library/Frameworks/OpenGL.framework; sourceTree = \"<absolute>\"; };",
"		3CC4FE4310FD1F4900C42DBB /* libWm5Cored.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libWm5Cored.a; path = ../../SDK/Library/Debug/libWm5Cored.a; sourceTree = SOURCE_ROOT; };",
"		3CC4FE4410FD1F4900C42DBB /* libWm5Physicsd.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libWm5Physicsd.a; path = ../../SDK/Library/Debug/libWm5Physicsd.a; sourceTree = SOURCE_ROOT; };",
"		3CC4FE4510FD1F4900C42DBB /* libWm5AglGraphicsd.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libWm5AglGraphicsd.a; path = ../../SDK/Library/Debug/libWm5AglGraphicsd.a; sourceTree = SOURCE_ROOT; };",
"		3CC4FE4610FD1F4900C42DBB /* libWm5Mathematicsd.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libWm5Mathematicsd.a; path = ../../SDK/Library/Debug/libWm5Mathematicsd.a; sourceTree = SOURCE_ROOT; };",
"		3CC4FE4710FD1F4900C42DBB /* libWm5Imagicsd.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libWm5Imagicsd.a; path = ../../SDK/Library/Debug/libWm5Imagicsd.a; sourceTree = SOURCE_ROOT; };",
"		3CC4FE4810FD1F4900C42DBB /* libWm5AglApplicationd.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libWm5AglApplicationd.a; path = ../../SDK/Library/Debug/libWm5AglApplicationd.a; sourceTree = SOURCE_ROOT; };",
"		3CC4FE5510FD1F6600C42DBB /* libWm5AglApplication.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libWm5AglApplication.a; path = ../../SDK/Library/Release/libWm5AglApplication.a; sourceTree = SOURCE_ROOT; };",
"		3CC4FE5610FD1F6600C42DBB /* libWm5AglGraphics.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libWm5AglGraphics.a; path = ../../SDK/Library/Release/libWm5AglGraphics.a; sourceTree = SOURCE_ROOT; };",
"		3CC4FE5710FD1F6600C42DBB /* libWm5Core.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libWm5Core.a; path = ../../SDK/Library/Release/libWm5Core.a; sourceTree = SOURCE_ROOT; };",
"		3CC4FE5810FD1F6600C42DBB /* libWm5Imagics.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libWm5Imagics.a; path = ../../SDK/Library/Release/libWm5Imagics.a; sourceTree = SOURCE_ROOT; };",
"		3CC4FE5910FD1F6600C42DBB /* libWm5Mathematics.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libWm5Mathematics.a; path = ../../SDK/Library/Release/libWm5Mathematics.a; sourceTree = SOURCE_ROOT; };",
"		3CC4FE5A10FD1F6600C42DBB /* libWm5Physics.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libWm5Physics.a; path = ../../SDK/Library/Release/libWm5Physics.a; sourceTree = SOURCE_ROOT; };",
"		748AA4CC07F4624400486586 /* PROJECTNAMEdAgl.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = PROJECTNAMEdAgl.app; sourceTree = BUILT_PRODUCTS_DIR; };",
"		748AA4DA07F4631800486586 /* PROJECTNAMEAgl.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = PROJECTNAMEAgl.app; sourceTree = BUILT_PRODUCTS_DIR; };",
"		748AA50F07F465B300486586 /* PROJECTNAME.cpp */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.cpp.cpp; path = PROJECTNAME.cpp; sourceTree = SOURCE_ROOT; };",
"		748AA51007F465B300486586 /* PROJECTNAME.h */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.h; path = PROJECTNAME.h; sourceTree = SOURCE_ROOT; };",
"/* End PBXFileReference section */",
"",
"/* Begin PBXFrameworksBuildPhase section */",
"		748AA4CA07F4624400486586 /* Frameworks */ = {",
"			isa = PBXFrameworksBuildPhase;",
"			buildActionMask = 2147483647;",
"			files = (",
"				3C6FBB33083E5FB60068AA05 /* AGL.framework in Frameworks */,",
"				3C6FBB46083E5FCE0068AA05 /* Carbon.framework in Frameworks */,",
"				3C6FBB4D083E5FE20068AA05 /* DrawSprocket.framework in Frameworks */,",
"				3C6FBC6C083E6E1B0068AA05 /* OpenGL.framework in Frameworks */,",
"				3CC4FE4910FD1F4900C42DBB /* libWm5Cored.a in Frameworks */,",
"				3CC4FE4A10FD1F4900C42DBB /* libWm5Physicsd.a in Frameworks */,",
"				3CC4FE4B10FD1F4900C42DBB /* libWm5AglGraphicsd.a in Frameworks */,",
"				3CC4FE4C10FD1F4900C42DBB /* libWm5Mathematicsd.a in Frameworks */,",
"				3CC4FE4D10FD1F4900C42DBB /* libWm5Imagicsd.a in Frameworks */,",
"				3CC4FE4E10FD1F4900C42DBB /* libWm5AglApplicationd.a in Frameworks */,",
"			);",
"			runOnlyForDeploymentPostprocessing = 0;",
"		};",
"		748AA4D807F4631800486586 /* Frameworks */ = {",
"			isa = PBXFrameworksBuildPhase;",
"			buildActionMask = 2147483647;",
"			files = (",
"				3C6FBB34083E5FB60068AA05 /* AGL.framework in Frameworks */,",
"				3C6FBB47083E5FCE0068AA05 /* Carbon.framework in Frameworks */,",
"				3C6FBB4E083E5FE20068AA05 /* DrawSprocket.framework in Frameworks */,",
"				3C6FBC6D083E6E1B0068AA05 /* OpenGL.framework in Frameworks */,",
"				3CC4FE6110FD1F6600C42DBB /* libWm5AglApplication.a in Frameworks */,",
"				3CC4FE6210FD1F6600C42DBB /* libWm5AglGraphics.a in Frameworks */,",
"				3CC4FE6310FD1F6600C42DBB /* libWm5Core.a in Frameworks */,",
"				3CC4FE6410FD1F6600C42DBB /* libWm5Imagics.a in Frameworks */,",
"				3CC4FE6510FD1F6600C42DBB /* libWm5Mathematics.a in Frameworks */,",
"				3CC4FE6610FD1F6600C42DBB /* libWm5Physics.a in Frameworks */,",
"			);",
"			runOnlyForDeploymentPostprocessing = 0;",
"		};",
"/* End PBXFrameworksBuildPhase section */",
"",
"/* Begin PBXGroup section */",
"		7432C2B407F8766A00ABC141 /* Debug */ = {",
"			isa = PBXGroup;",
"			children = (",
"				3CC4FE4310FD1F4900C42DBB /* libWm5Cored.a */,",
"				3CC4FE4410FD1F4900C42DBB /* libWm5Physicsd.a */,",
"				3CC4FE4510FD1F4900C42DBB /* libWm5AglGraphicsd.a */,",
"				3CC4FE4610FD1F4900C42DBB /* libWm5Mathematicsd.a */,",
"				3CC4FE4710FD1F4900C42DBB /* libWm5Imagicsd.a */,",
"				3CC4FE4810FD1F4900C42DBB /* libWm5AglApplicationd.a */,",
"			);",
"			name = Debug;",
"			sourceTree = \"<group>\";",
"		};",
"		7432C2B707F8767000ABC141 /* Release */ = {",
"			isa = PBXGroup;",
"			children = (",
"				3CC4FE5510FD1F6600C42DBB /* libWm5AglApplication.a */,",
"				3CC4FE5610FD1F6600C42DBB /* libWm5AglGraphics.a */,",
"				3CC4FE5710FD1F6600C42DBB /* libWm5Core.a */,",
"				3CC4FE5810FD1F6600C42DBB /* libWm5Imagics.a */,",
"				3CC4FE5910FD1F6600C42DBB /* libWm5Mathematics.a */,",
"				3CC4FE5A10FD1F6600C42DBB /* libWm5Physics.a */,",
"			);",
"			name = Release;",
"			sourceTree = \"<group>\";",
"		};",
"		748AA4BE07F4621A00486586 = {",
"			isa = PBXGroup;",
"			children = (",
"				748AA50C07F465A200486586 /* Sources */,",
"				748AA4F707F4641600486586 /* Libraries */,",
"				748AA4E207F463F300486586 /* Frameworks */,",
"				748AA4CD07F4624400486586 /* Products */,",
"			);",
"			sourceTree = \"<group>\";",
"		};",
"		748AA4CD07F4624400486586 /* Products */ = {",
"			isa = PBXGroup;",
"			children = (",
"				748AA4CC07F4624400486586 /* PROJECTNAMEdAgl.app */,",
"				748AA4DA07F4631800486586 /* PROJECTNAMEAgl.app */,",
"			);",
"			name = Products;",
"			sourceTree = \"<group>\";",
"		};",
"		748AA4E207F463F300486586 /* Frameworks */ = {",
"			isa = PBXGroup;",
"			children = (",
"				3C6FBC6B083E6E1B0068AA05 /* OpenGL.framework */,",
"				3C6FBB4C083E5FE20068AA05 /* DrawSprocket.framework */,",
"				3C6FBB45083E5FCE0068AA05 /* Carbon.framework */,",
"				3C6FBB32083E5FB60068AA05 /* AGL.framework */,",
"			);",
"			name = Frameworks;",
"			sourceTree = \"<group>\";",
"		};",
"		748AA4F707F4641600486586 /* Libraries */ = {",
"			isa = PBXGroup;",
"			children = (",
"				7432C2B407F8766A00ABC141 /* Debug */,",
"				7432C2B707F8767000ABC141 /* Release */,",
"			);",
"			name = Libraries;",
"			sourceTree = SOURCE_ROOT;",
"		};",
"		748AA50C07F465A200486586 /* Sources */ = {",
"			isa = PBXGroup;",
"			children = (",
"				748AA50F07F465B300486586 /* PROJECTNAME.cpp */,",
"				748AA51007F465B300486586 /* PROJECTNAME.h */,",
"			);",
"			name = Sources;",
"			sourceTree = \"<group>\";",
"		};",
"/* End PBXGroup section */",
"",
"/* Begin PBXNativeTarget section */",
"		748AA4CB07F4624400486586 /* Agl Debug Static */ = {",
"			isa = PBXNativeTarget;",
"			buildConfigurationList = 3C4B939708674C10001A085C /* Build configuration list for PBXNativeTarget \"Agl Debug Static\" */;",
"			buildPhases = (",
"				748AA4C807F4624400486586 /* Resources */,",
"				748AA4C907F4624400486586 /* Sources */,",
"				748AA4CA07F4624400486586 /* Frameworks */,",
"			);",
"			buildRules = (",
"			);",
"			dependencies = (",
"			);",
"			name = \"Agl Debug Static\";",
"			productName = PROJECTNAMEStaDeb;",
"			productReference = 748AA4CC07F4624400486586 /* PROJECTNAMEdAgl.app */;",
"			productType = \"com.apple.product-type.application\";",
"		};",
"		748AA4D907F4631800486586 /* Agl Release Static */ = {",
"			isa = PBXNativeTarget;",
"			buildConfigurationList = 3C4B939A08674C10001A085C /* Build configuration list for PBXNativeTarget \"Agl Release Static\" */;",
"			buildPhases = (",
"				748AA4D607F4631800486586 /* Resources */,",
"				748AA4D707F4631800486586 /* Sources */,",
"				748AA4D807F4631800486586 /* Frameworks */,",
"			);",
"			buildRules = (",
"			);",
"			dependencies = (",
"			);",
"			name = \"Agl Release Static\";",
"			productName = PROJECTNAMEStaRel;",
"			productReference = 748AA4DA07F4631800486586 /* PROJECTNAMEAgl.app */;",
"			productType = \"com.apple.product-type.application\";",
"		};",
"/* End PBXNativeTarget section */",
"",
"/* Begin PBXProject section */",
"		748AA4C207F4621A00486586 /* Project object */ = {",
"			isa = PBXProject;",
"			buildConfigurationList = 3C4B93AC08674C10001A085C /* Build configuration list for PBXProject \"PROJECTNAME\" */;",
"			compatibilityVersion = \"Xcode 3.0\";",
"			hasScannedForEncodings = 0;",
"			mainGroup = 748AA4BE07F4621A00486586;",
"			productRefGroup = 748AA4CD07F4624400486586 /* Products */;",
"			projectDirPath = \"\";",
"			projectRoot = \"\";",
"			targets = (",
"				748AA4CB07F4624400486586 /* Agl Debug Static */,",
"				748AA4D907F4631800486586 /* Agl Release Static */,",
"			);",
"		};",
"/* End PBXProject section */",
"",
"/* Begin PBXResourcesBuildPhase section */",
"		748AA4C807F4624400486586 /* Resources */ = {",
"			isa = PBXResourcesBuildPhase;",
"			buildActionMask = 2147483647;",
"			files = (",
"			);",
"			runOnlyForDeploymentPostprocessing = 0;",
"		};",
"		748AA4D607F4631800486586 /* Resources */ = {",
"			isa = PBXResourcesBuildPhase;",
"			buildActionMask = 2147483647;",
"			files = (",
"			);",
"			runOnlyForDeploymentPostprocessing = 0;",
"		};",
"/* End PBXResourcesBuildPhase section */",
"",
"/* Begin PBXSourcesBuildPhase section */",
"		748AA4C907F4624400486586 /* Sources */ = {",
"			isa = PBXSourcesBuildPhase;",
"			buildActionMask = 2147483647;",
"			files = (",
"				748AA51307F465B300486586 /* PROJECTNAME.cpp in Sources */,",
"			);",
"			runOnlyForDeploymentPostprocessing = 0;",
"		};",
"		748AA4D707F4631800486586 /* Sources */ = {",
"			isa = PBXSourcesBuildPhase;",
"			buildActionMask = 2147483647;",
"			files = (",
"				748AA51107F465B300486586 /* PROJECTNAME.cpp in Sources */,",
"			);",
"			runOnlyForDeploymentPostprocessing = 0;",
"		};",
"/* End PBXSourcesBuildPhase section */",
"",
"/* Begin XCBuildConfiguration section */",
"		3C4B939908674C10001A085C /* Default */ = {",
"			isa = XCBuildConfiguration;",
"			buildSettings = {",
"				COPY_PHASE_STRIP = NO;",
"				DEAD_CODE_STRIPPING = YES;",
"				GCC_ENABLE_CPP_RTTI = NO;",
"				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;",
"				GCC_OPTIMIZATION_LEVEL = 0;",
"				GCC_PREPROCESSOR_DEFINITIONS = (",
"					_DEBUG,",
"					WM5_USE_OPENGL,",
"				);",
"				GCC_SYMBOLS_PRIVATE_EXTERN = NO;",
"				HEADER_SEARCH_PATHS = \"${SRCROOT}/../../SDK/Include\";",
"				LIBRARY_SEARCH_PATHS = \"${SRCROOT}/../../SDK/Library/Debug\";",
"				PRESERVE_DEAD_CODE_INITS_AND_TERMS = YES;",
"				PRODUCT_NAME = PROJECTNAMEdAgl;",
"				WARNING_CFLAGS = (",
"					\"-Wmost\",",
"					\"-Wno-four-char-constants\",",
"					\"-Wno-unknown-pragmas\",",
"				);",
"			};",
"			name = Default;",
"		};",
"		3C4B939C08674C10001A085C /* Default */ = {",
"			isa = XCBuildConfiguration;",
"			buildSettings = {",
"				DEAD_CODE_STRIPPING = YES;",
"				GCC_ENABLE_CPP_RTTI = NO;",
"				GCC_GENERATE_DEBUGGING_SYMBOLS = NO;",
"				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;",
"				GCC_OPTIMIZATION_LEVEL = s;",
"				GCC_PREPROCESSOR_DEFINITIONS = (",
"					NDEBUG,",
"					WM5_USE_OPENGL,",
"				);",
"				GCC_SYMBOLS_PRIVATE_EXTERN = NO;",
"				HEADER_SEARCH_PATHS = \"${SRCROOT}/../../SDK/Include\";",
"				LIBRARY_SEARCH_PATHS = \"${SRCROOT}/../../SDK/Library/Release\";",
"				PRESERVE_DEAD_CODE_INITS_AND_TERMS = YES;",
"				PRODUCT_NAME = PROJECTNAMEAgl;",
"				WARNING_CFLAGS = (",
"					\"-Wmost\",",
"					\"-Wno-four-char-constants\",",
"					\"-Wno-unknown-pragmas\",",
"				);",
"			};",
"			name = Default;",
"		};",
"		3C4B93AE08674C10001A085C /* Default */ = {",
"			isa = XCBuildConfiguration;",
"			buildSettings = {",
"				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;",
"				GCC_SYMBOLS_PRIVATE_EXTERN = NO;",
"			};",
"			name = Default;",
"		};",
"/* End XCBuildConfiguration section */",
"",
"/* Begin XCConfigurationList section */",
"		3C4B939708674C10001A085C /* Build configuration list for PBXNativeTarget \"Agl Debug Static\" */ = {",
"			isa = XCConfigurationList;",
"			buildConfigurations = (",
"				3C4B939908674C10001A085C /* Default */,",
"			);",
"			defaultConfigurationIsVisible = 0;",
"			defaultConfigurationName = Default;",
"		};",
"		3C4B939A08674C10001A085C /* Build configuration list for PBXNativeTarget \"Agl Release Static\" */ = {",
"			isa = XCConfigurationList;",
"			buildConfigurations = (",
"				3C4B939C08674C10001A085C /* Default */,",
"			);",
"			defaultConfigurationIsVisible = 0;",
"			defaultConfigurationName = Default;",
"		};",
"		3C4B93AC08674C10001A085C /* Build configuration list for PBXProject \"PROJECTNAME\" */ = {",
"			isa = XCConfigurationList;",
"			buildConfigurations = (",
"				3C4B93AE08674C10001A085C /* Default */,",
"			);",
"			defaultConfigurationIsVisible = 0;",
"			defaultConfigurationName = Default;",
"		};",
"/* End XCConfigurationList section */",
"	};",
"	rootObject = 748AA4C207F4621A00486586 /* Project object */;",
"}",
""
};
